Backport #1562: r22674 should be backported to 1.8.6
http://redmine.ruby-lang.org/issues/show/1562

Author: Shyouhei Urabe
Status: Open, Priority: Normal
Assigned to: Kirk Haines

IMHO revision r22674 is worth backporting to 1.8.6.
cf. http://redmine.ruby-lang.org/repositories/revision/ruby-18?rev=22674

Note that RB_GC_GUARD() is a simple macro introduced since 1.8.7.  It's as simple as:

 #define RB_GC_GUARD(v) (*(volatile VALUE *)&(v))


----------------------------------------
http://redmine.ruby-lang.org